'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _jsx2 = require('babel-runtime/helpers/jsx');

var _jsx3 = _interopRequireDefault(_jsx2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _uniforms = require('uniforms');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var noneIfNaN = function noneIfNaN(x) {
    return isNaN(x) ? undefined : x;
};

var Num = function Num(_ref) {
    var className = _ref.className,
        decimal = _ref.decimal,
        disabled = _ref.disabled,
        error = _ref.error,
        errorMessage = _ref.errorMessage,
        icon = _ref.icon,
        iconLeft = _ref.iconLeft,
        iconProps = _ref.iconProps,
        id = _ref.id,
        inputRef = _ref.inputRef,
        label = _ref.label,
        max = _ref.max,
        min = _ref.min,
        name = _ref.name,
        _onChange = _ref.onChange,
        placeholder = _ref.placeholder,
        required = _ref.required,
        showInlineError = _ref.showInlineError,
        value = _ref.value,
        props = (0, _objectWithoutProperties3.default)(_ref, ['className', 'decimal', 'disabled', 'error', 'errorMessage', 'icon', 'iconLeft', 'iconProps', 'id', 'inputRef', 'label', 'max', 'min', 'name', 'onChange', 'placeholder', 'required', 'showInlineError', 'value']);
    return _react2.default.createElement(
        'section',
        (0, _extends3.default)({ className: (0, _classnames2.default)(className, { disabled: disabled, error: error, required: required }, 'field') }, (0, _uniforms.filterDOMProps)(props)),
        label && (0, _jsx3.default)('label', {
            htmlFor: id
        }, void 0, label),
        (0, _jsx3.default)('section', {
            className: (0, _classnames2.default)('ui', { left: iconLeft, icon: icon || iconLeft }, 'input')
        }, void 0, _react2.default.createElement('input', {
            disabled: disabled,
            id: id,
            max: max,
            min: min,
            name: name,
            onChange: function onChange(event) {
                return _onChange(noneIfNaN((decimal ? parseFloat : parseInt)(event.target.value)));
            },
            placeholder: placeholder,
            ref: inputRef,
            step: decimal ? 0.01 : 1,
            type: 'number',
            value: value === undefined ? null : value
        }), (icon || iconLeft) && _react2.default.createElement('i', (0, _extends3.default)({ className: (icon || iconLeft) + ' icon' }, iconProps))),
        !!(errorMessage && showInlineError) && (0, _jsx3.default)('section', {
            className: 'ui red basic pointing label'
        }, void 0, errorMessage)
    );
};

exports.default = (0, _uniforms.connectField)(Num);